# Uses of Interface
org.w3c.dom.Text

Packages that use Text
Package
Description
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of Text in org.w3c.dom

Subinterfaces of Text in org.w3c.dom
Modifier and Type
Interface
Description
`interface`
`CDATASection`
CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup.
Methods in org.w3c.dom that return Text
Modifier and Type
Method
Description
`Text`
Document.`createTextNode(String data)`
Creates a `Text` node given the specified string.
`Text`
Text.`replaceWholeText(String content)`
Replaces the text of the current node and all logically-adjacent text nodes with the specified text.
`Text`
Text.`splitText(int offset)`
Breaks this node into two nodes at the specified `offset`, keeping both in the tree as siblings.